/*
 * @author Ranides Atterwim {@literal <ranides@gmail.com>}
 * @copyright Ranides Atterwim
 * @license WTFPL
 * @url http://ranides.net/projects/assira
 */

package net.ranides.test.mockup.reflection;

import edu.umd.cs.findbugs.annotations.SuppressFBWarnings;
import net.ranides.assira.collection.arrays.ArrayUtils;

import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author Ranides Atterwim {@literal <ranides@gmail.com>}
 */
public class ForBeanModel2 {

    public static Object newHidden() {
        return new PrivateType();
    }

    public static class PublicBase {

        public String name() {
            return "";
        }

    }

    private static class PrivateIntermediate extends PublicBase {

        public String age() {
            return "";
        }

    }

    public static class PublicIntermediate extends PrivateIntermediate {

        public String something() {
            return "";
        }

    }

    private static class PrivateType extends PublicIntermediate {

        public String mymethod() {
            return "";
        }

    }

}
